Release Info

Advisory: CLSA-2022:1669241475

OS: Ubuntu 16.04 ELS

Public date: 2022-11-23

Project: python3

Version: 1:3.5.2-2ubuntu0~16.04.13+tuxcare.els7

Errata link: https://errata.cloudlinux.com/ubuntu16-els/CLSA-2022-1669241475.html

Changelog

* SECURITY UPDATE: Uncontrolled resource consumption - debian/patches/CVE-2022-45061.patch: Fix quadratic time idna decoding - CVE-2022-45061 * Fix the tests: Certificates were expired - debian/patches/update-test-certs-and-keys.patch: Update test certs and keys

Update

Update command: apt-get update apt-get --only-upgrade install python3*

Packages list

idle-python3.5_3.5.2-2ubuntu0~16.04.13+tuxcare.els7_all.deb libpython3.5_3.5.2-2ubuntu0~16.04.13+tuxcare.els7_amd64.deb libpython3.5-dev_3.5.2-2ubuntu0~16.04.13+tuxcare.els7_amd64.deb libpython3.5-minimal_3.5.2-2ubuntu0~16.04.13+tuxcare.els7_amd64.deb libpython3.5-stdlib_3.5.2-2ubuntu0~16.04.13+tuxcare.els7_amd64.deb libpython3.5-testsuite_3.5.2-2ubuntu0~16.04.13+tuxcare.els7_all.deb python3.5_3.5.2-2ubuntu0~16.04.13+tuxcare.els7_amd64.deb python3.5-dev_3.5.2-2ubuntu0~16.04.13+tuxcare.els7_amd64.deb python3.5-doc_3.5.2-2ubuntu0~16.04.13+tuxcare.els7_all.deb python3.5-examples_3.5.2-2ubuntu0~16.04.13+tuxcare.els7_all.deb python3.5-minimal_3.5.2-2ubuntu0~16.04.13+tuxcare.els7_amd64.deb python3.5-venv_3.5.2-2ubuntu0~16.04.13+tuxcare.els7_amd64.deb

CVEs

CVE-2022-45061